cbrt
Prev | Orchestra Opcodes and Operators | Next

## cbrt

cbrt — Cubic root function.

## Description

Returns the value of the cubic root of an argument.

## Syntax

    ires[] cbrt iarg

    kres[] cbrt karg

## Initialization

iarg[] -- the argument.

## Performance

karg[] -- the argument.

## Examples

Here is an example of the cbrt opcode. It uses the file cbrt.csd.

Example 130. Example of the cbrt opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    </CsOptions>
    <CsInstruments>

    instr 1

    iArg[] fillarray 1,2,3
    iRes[] cbrt iArg
    ik init 0

    while ik < lenarray(iRes) do
     print iRes[ik]
     ik += 1
    od

    endin

    </CsInstruments>
    <CsScore>
    i1 0 0
    </CsScore>
    </CsoundSynthesizer>

## Credits

Author: Victor Lazzarini
2017

Prev | Up | Next
chano | Home | chebyshevpoly